# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jisota/version'

Gem::Specification.new do |spec|
  spec.name          = "jisota"
  spec.version       = Jisota::VERSION
  spec.authors       = ["Lasse Skindstad Ebert"]
  spec.email         = ["lasseebert@gmail.com"]
  spec.summary       = %q{Easily provision servers}
  spec.description   = %q{Easily provision servers using ruby, existing packages, your own packages and a nice DSL}
  spec.homepage      = "https://github.com/lasseebert/jisota"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "net-ssh", "~> 2.8"
  spec.add_dependency "net-scp", "~> 1.2"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "rspec", "~> 3.0.0.beta2"
  spec.add_development_dependency "guard-rspec", "~> 4.2.8"
  spec.add_development_dependency "codeclimate-test-reporter"
end
