
require 'spec_helper'

module Jisota
  describe "Apt package" do
    it "is valid" do
      script_block = ScriptBlock.new do
        apt :curl
      end
      ssh_session = instance_double(SSHSession, upload: true)
      allow(ssh_session).to receive(:command).and_return(false, true)
      context = ScriptContext.new(ssh_session: ssh_session, packages: Jisota.global_packages)
      script = script_block.evaluate(context)

      expect { script.execute(context) }.to_not raise_exception
    end
  end
end
