require 'spec_helper'

module Jisota
  describe "Gem-install package" do
    it "is valid" do
      script_block = ScriptBlock.new do
        gem_install :foo
      end
      ssh_session = instance_double(SSHSession)
      allow(ssh_session).to receive(:command).and_return(1, 0)
      context = ScriptContext.new(ssh_session: ssh_session, packages: Jisota.global_packages)
      script = script_block.evaluate(context)

      expect { script.execute(context) }.to_not raise_exception
    end
  end
end

