require 'spec_helper'

module Jisota
  describe "Nginx Passenger package" do
    it "is valid" do
      script_block = ScriptBlock.new do
        nginx_passenger config_file: "foo"
      end
      ssh_session = instance_double(SSHSession, upload: true, command: 0)
      context = ScriptContext.new(ssh_session: ssh_session, packages: Jisota.global_packages)
      script = script_block.evaluate(context)

      expect { script.execute(context) }.to_not raise_exception
    end
  end
end

